fr.cnam.ihm

## Class TexteCanvas

- java.lang.Object
- - fr.cnam.ihm.ObjetCanvas
  - - fr.cnam.ihm.TexteCanvas

-     public class TexteCanvas
      extends ObjetCanvas

  Classe de définition d'un texte dessiné dans le canvas

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `couleur` Marque de couleur du texte (de 1 à 10)
    `java.awt.Font` | `font` font du texte
    `java.awt.Point` | `p` Cooord du texte
    `RessourcesCanvas` | `rc` Ressources graphique du texte
    `java.lang.String` | `texte` Valeur du texte

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TexteCanvas(RessourcesCanvas rc, java.lang.String texte, int x, int y)` Création d'un texte dans le canvas
    `TexteCanvas(java.lang.String texte, int x, int y, int couleur)` Création d'un texte dans le canvas

  - ### Method Summary

    - ### Methods inherited from class fr.cnam.ihm.ObjetCanvas

      `setRessourcesCanvas`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### texte

          public java.lang.String texte

      Valeur du texte

    - #### p

          public java.awt.Point p

      Cooord du texte

    - #### couleur

          public int couleur

      Marque de couleur du texte (de 1 à 10)

    - #### rc

          public RessourcesCanvas rc

      Ressources graphique du texte

    - #### font

          public java.awt.Font font

      font du texte

  - ### Constructor Detail

    - #### TexteCanvas

          public TexteCanvas(java.lang.String texte,
                             int x,
                             int y,
                             int couleur)

      Création d'un texte dans le canvas
      Parameters:
        `texte` - valeur du texte
        `x` - position en x du texte
        `y` - position en y du texte
        `couleur` - la couleur du texte (de 1 à 10)

    - #### TexteCanvas

          public TexteCanvas(RessourcesCanvas rc,
                             java.lang.String texte,
                             int x,
                             int y)

      Création d'un texte dans le canvas
      Parameters:
        `rc` - ressources graphiques du texte
        `texte` - valeur du texte
        `x` - position en x du texte
        `y` - position en y du texte